## 3.1 创建组件
### 3.1.1 组件编辑器
组件是可以保存在本地的.bfa文件，通过组件编辑器功能可以创建组件，组件编辑器是对组件几何体进行编辑的唯一工具。组件编辑器总体流程如图3.1.1-1。

<center>

![](/uploads/pro_import_version/images/m_ec9878b31a0df0cf50e1a04e90412121_r.png)

图3.1.1-1

</center>

组件编辑环境中的ribbon菜单中，导入模型、图元和编辑面板内的功能与外部环境中功能一致，不再赘述。


#### 组件模块介绍
在组件编辑环境中，ribbon菜单增加了组件模块，包括属性管理、参数驱动、新建组件、导出bfa、保存到项目、完成与取消等，如图3.1.1-2；
- 属性管理：建立组件自定义属性并进行统一管理。
- 参数驱动：建立组件属性与构件参数或构件参数之间的驱动关系。
- 新建组件：创建一个新的组件附加到当前组件编辑环境的组件库里，并可以将其布置到当前组件编辑环境中；
- 导出bfa：将当前已编辑的组件导出bfa文件，保存至本地；
- 保存到项目：将当前已编辑组件保存至工程环境中的工程组件库中；
- 完成：将已编辑的组件进行保存并返回上一层级环境中；
- 取消：取消所有编辑交互，退出当前编辑环境，返回上一层级环境中；

<center>

![](/uploads/pro_import_version/images/m_6d2af0cd48eff3db5e124e028fcb7dac_r.png)
图 3.1.1-2
</center>

#### 业务操作流程说明

**01.新建组件属性**
（1）点击属性管理工具，弹窗“属性管理”对话框，如图3.1.1-3；对话框包括内置类别、组件类型、属性列表、属性编辑等；
 
 <center>
 
 ![](/uploads/pro_import_version/images/m_823193f6ca33034edd6c0e35952c60ab_r.png)
图 3.1.1-3
</center>

（2）“属性管理”对话框界面功能说明如下：
- 内置类别：对当前组件进行类别分组；
- 组件类型：一个组件可以设置多组属性值不同的组件类型；可通过下拉框进行选择交互，同时，组件类型支持新建、重命名、删除等操作；
- 属性列表：以表格的形式对组件属性进行统一管理，支持新建属性、复制属性、删除属性和属性上下移动；另外，在工程场景中布置组件实例后，选定组件其属性栏中会显示“属性管理”中自定义的组件属性；同时，“属性管理”中的组件属性可以应用于参数驱动中；
- 属性编辑：选定一条组件属性后，可以通过右侧属性编辑栏编辑该条属性的参数，包括属性名称、性质（类型属性、实例属性）、类型（整数、小数、文本、是否）、属性来源（自定义属性）、属性分组（默认分组）和说明等；



**02.建立参数驱动公式**
（1）在ribbon栏中点击参数驱动命令，侧边栏即可出现参数驱动界面，如图 3.1.1-7，其界面功能说明如下：
- 新建：新建一个几何参数驱动；新建的参数驱动存在非法输入时，会进行错位标识（文字变为红色），鼠标悬停时，会tip提示对应的错位信息；
- 编辑：对选定参数驱动进行编辑，即对右侧输入驱动公式进行修改编辑；编辑参数驱动，除选定参数驱动对象后，点击编辑按钮进行编辑外，还支持双击激活右侧输入框进行编辑；
- 删除：删除当前勾选的参数驱动；
- 关联属性：罗列“属性管理”中的组件属性，可以作为参数驱动右侧输入框输入内容；
- 参数驱动列表：新建一条参数驱动公式，包括左侧输入框（被驱动对象）、右侧输入框（驱动公式）和中间驱动关系按钮（单向驱动和双向驱动）；单向驱动是指右侧输入公式驱动左侧被驱动的构件参数；双向驱动是指左右两侧输入内容可相互驱动；另外，如果右侧输入内容包括组件属性时，驱动关系默认变为单向驱动；


<center>

![](/uploads/pro_import_version/images/m_72685a9d6954b64de675efd43c358b4a_r.png)

图 3.1.1-7
</center>



（2）新建参数驱动操作流程如下：
- 点击“新建”按钮，命令行提示【按住Ctrl键-》点选构件-》选择关联属性】；
- 选定构件后，弹出参数选择框，可点击下拉按钮，选择指定构件参数，再点击“添加驱动”按钮，即可添加到参数驱动左侧输入框；如图3.1.1-8；

<center>

![](/uploads/pro_import_version/images/m_a7e31d899b2bc5e73b7e17ea44b1c7b3_r.png)
图 3.1.1-8
</center>

- 选定被驱动的构件参数后，右侧输入框自动激活，可以输入内容包括拾取的“构件参数”、既有的“组件属性”或数学运算公式等；输入完成后，单击回车键，即完成参数驱动创建；如图3.1.1-9

<center>

![](/uploads/pro_import_version/images/m_eabcc5b835e1e5b076ebd4f16806c4f9_r.png)
图 3.1.1-9
</center>

**注意：**
01.完成驱动设置后，选中构件，属性栏中置灰的参数表示为已被驱动的参数，且不可编辑。需要查找对应图元及驱动公式时，可通过属性栏最上方图元名称在右侧参数驱动菜单内对应查找，如图3.1.1-10：

<center>

![](/uploads/pro_import_version/images/m_f79cbebb72438ce8b93dbc190dc583b4_r.png)

图 3.1.1-10
</center>