# 第六章 模型应用
## 6.1 应用

### 6.1.1 类型属性管理器
该功能允许用户管理、选择项目标准集，并支持为系统和自定义构件添加类型和属性。自定义属性可以被指定名称、类型和默认值。项目标准集支持导入和导出，方便快速进行项目配置。

------------

#### 属性管理器面板及参数说明
点击“类型属性管理器”图标，可激活该功能窗口，如图6.1.1-1所示。该窗口分为三个区域：标准集管理区域、构件类型区域、属性管理与配置区域。

<center>

![](/uploads/pro_import_version/images/m_0488e90085217c68d14efcd4e1d16c3a_r.png)

图6.1.1-1
</center>

------------

**1. 标准集**
在“标准集”页签内，允许选择当前项目所应用标准集。项目标准集包含了一种配置下所有构件和属性的信息，与属性模板相似。标准集包含几个基本工具，如图6.1.1-2所示。

<center>

![](/uploads/pro_import_version/images/m_e42a53a1c5998f515d81e891694053c6_r.png)
图6.1.1-2
</center>

- 新增：创建新的标准集。
- 删除：删除当前选择的标准集。请注意，默认标准集不能被删除。
- 导入：选择并导入一个标准集文件导到当前项目中，支持导入.bzj和.xls/.xlsx文件。
- 导出：选择需要导出的一个或多个标准集，并以.bzj文件储存至指定路径。

**2. 构件类型区域**
专业分类中，可切换至不同专业，对该专业下配置的构件类型进行修改；此处以BIMBase为例。如图6.1.1-3所示。

<center>

![](/uploads/pro_import_version/images/m_ecfb2767d20a6e340ac9ad8c8eb41f90_r.png)

图6.1.1-3
</center>

| 功能图标  | 功能名称  | 功能详解  |
| ------------ | ------------ | ------------ |
| ![](/uploads/pro_import_version/images/m_85d7712d08767b9396f90d6b4a1d153b_r.png)  | 专业分类  | 在类型属性管理器中，构件类型和属性以专业作为分隔。在进入本管理器时，默认选择当前所在的专业模块。允许通过专业分类下拉栏切换至其他专业模块。请注意，为减少不同专业间的互相影响，仅允许修改当前专业模块对应的类型和属性。切换至其他专业分类后，无修改权限  |
| ![](/uploads/pro_import_version/images/m_ab33470699285cc2560c82532e12a183_r.png)  | 搜索构件类型  | 输入关键字后，包含关键字的属性被筛选显示出来  |
| ![](/uploads/pro_import_version/images/m_d914d0d4937eee6616d7a4c1cdadb18d_r.png)  | 添加同级节点  | 选中节点后，通过该工具可创建与所选构件同级的节点  |
| ![](/uploads/pro_import_version/images/m_31cba191a2799a10bf88deba60af36e4_r.png)  | 添加子级节点  | 选中节点后，通过该工具可创建该节点下的子节点  |
| ![](/uploads/pro_import_version/images/m_993b9096f1f3ae9a2ba169085d5d9775_r.png)  | 删除  | 删除选中节点  |
| ![](/uploads/pro_import_version/images/m_15e2e40d55d152d557fc68f1eac3b110_r.png)  | 构件类型树  | 部分专业存在系统构件类型，该部分不允许删除修改。自定义类型和用户创建的构件类型支持修改 |


**3. 属性管理及配置区域**

<center>

![](/uploads/pro_import_version/images/m_928ad29c22ee3e550b0850f14116c15e_r.png)

图6.1.1-4
</center>

图6.1.1-4中，在属性区域中，显示的为在构件类型树中选中的构件类型上所绑定的属性。属性区域中还有两个重要的功能按钮。

| 功能图标  | 功能名称  | 功能激活界面  | 功能详解  |
| ------------ | ------------ | ------------ | ------------ |
| ![](/uploads/pro_import_version/images/m_12c4521c123e7ef470a07aca2ab9e955_r.png)  | 属性绑定  | ![](/uploads/pro_import_version/images/m_b4cbf7b3a3eab43eca2c85cbcd80aa7b_r.png)  | 在界面上，勾选的属性会显示在主界面的属性区域，勾选即视为绑定在选中的构件类型上 。界面中的属性来源于属性集  |
| ![](/uploads/pro_import_version/images/m_98d48596049283694aad244ec9c8c60e_r.png)  | 属性集  | ![](/uploads/pro_import_version/images/m_de6dc10bc371016c78e6b4372cfb1950_r.png)  | 该界面中显示的为当前标准集中所有的属性，可在此对标准集中的属性进行统一管理  |


主界面的属性区域、属性绑定界面、属性集界面，均可点击抬头栏“属性名称”、“数据类型”等对属性进行排序。


- 属性绑定
属性绑定需要先选中构件类型树中的某一个节点，选择后点击激活属性绑定界面。界面中已被勾选的属性即已绑定在构件类型上，可取消勾选，可勾选新的属性绑定在构件类型上。属性全部来源于属性集，此处不允许修改属性。
- 属性集
属性集中包含标准集中的所有属性，可对标准集中的属性进行删除、新增或者修改，直接点击属性中的属性名称或其他项即可修改，也可通过属性集面板上的编辑工具按钮修改，如图6.1.1-5所示。

<center>

![](/uploads/pro_import_version/images/m_7feb8d5731fd612806d765611f584581_r.png)

图6.1.1.5
</center>

#### 其他说明
- 通过切换/新建/导入标准集，通过属性集修改完善标准集中的属性。对构件类型树进行调整，选择构件类型，通过属性绑定修改该构件类型的属性绑定方案，按照需求完成设置后，点击应用/确定可将当前的配置应用到当前的工程中。

- 应用和确定的区别在于，点击确定会应用当前标准集并退出工具。

- 需要注意的是点击应用和确定后，会覆盖原有的标准集，工程环境中采用原标准集设置的自定义属性将被清除，且该操作不可逆。